.formBox-query * {
   margin: 0;
   padding: 0;}
.formBox-query textarea {
   font-family: "微软雅黑";}
.formBox {
    min-height: 450px;
    padding-top: 20px;}
.fade-enter-active,
.fade-leave-active {
    transition: all ease 0.2s;
    transform: translateY(0);}
.fade-enter,
.fade-leave-to {
    opacity: 0;
    transform: translateY(-100%);}
.resultCrad{
    display: none;}
.resultCradTitle{
    line-height:48px;
    margin-left: 30px;
    font-size:16px;}
.backBtn{
    display: inline-block;
    line-height: 1;
    white-space: nowrap;
    cursor: pointer;
    background: #fff;
    border: 1px solid #dcdfe6;
    color: #606266;
    -webkit-appearance: none;
    text-align: center;
    box-sizing: border-box;
    outline: none;
    margin: 0;
    transition: 0.1s;
    font-weight: 500;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    padding: 12px 25px;
    font-size: 14px;
    border-radius: 4px;
    vertical-align: middle;}
.data-title{
    text-align: center;
    margin: 20px 0 30px 0;}
.data-title > h2{
    font-size: 24px;
    color: #333;
    padding-bottom: 10px;
    word-break: break-all;}
.messageBox {
    text-align: center;
    display: none;}
.messageBox img, .messageBox div {
    max-width:100%;}

@media screen and (max-width: 500px) {
    .custom-search .formTitle {
      height: 150px!important;}
}
.survery-radio{
    position: relative;
    left: 23px;
    bottom: 6px;
    color: #606266 !important;
    vertical-align: sub;
    display: block;}
@media screen and (max-width: 500px) {
   .radio-group img, .checkbox-group img {
      max-width: 200px;}
   .formBox {
      padding-top: 0;}
}
.radioWidth {
   width: 13px;
   height: 13px;
   float: left;}
.doteSet {
   float: left;}
.survery-radioSet {
   float: left;
   left: 5px;
   bottom: 0px;}
.searchResults {
   height: 40px;
   text-align: center;
   line-height: 40px;
   margin-top: 30px;
   background: #f2f2f2;
   font-weight: 600;
   font-size: 16px;
   border: 1px solid #f2f2f2;}
.req {
   font-style: italic;
   color: red;}
.form-con .uploadbox {
   padding-top: 10px;}
.form-con .uploadbox .btn {
   position: relative;
   overflow: hidden;
   line-height: 30px;
   margin-right: 10px;}
.form-con .uploadbox .btn input[type='file'] {
   width: 100%;
   height: 100%;
   position: absolute;
   left: 0;
   top: 0;
   opacity: 0;}  
.form-con .uploadbox .btn i {
   display: inline-block;
   vertical-align: -2px;
   margin-right: 6px;
   width: 14px;
   height: 14px;
   background: url(../images/upload.png) no-repeat;}
.radioVertical {
   display: block!important;
   overflow: hidden;}
.data-title > h4, .data-title>h4>p {
   text-align: center;}
.data-title>h4>p {
   font-weight: 400;
   text-indent:0;}
.layui-input:focus, .layui-textarea:focus{
  border-color:#1890ff!important;}
.layui-form-select dl dd.layui-this {
  background:#1890ff!important;}
.jedate .jedate-content .daystable td.action, .jedate .jedate-time .hmslist ul li.action, .jedate .jedate-footbtn .btnscon span{
  background-color:#1890ff!important;}
.layui-table, .layui-table-view{
  margin-top:0!important
;}
.layui-table-view{
  border:none!important
;}
.layui-table-box{
  border:1px solid #e6e6e6;}
.layui-table-page{
  margin: 20px 0;
  border: none!important;
  text-align:right;}
.layui-table th{
  font-weight:600!important;}
.cascadeOne50{
  width: calc(50% - 7px);
  margin-right:7px;
  float:left;}
.cascadeTwo50{
  width: calc(50% - 7px);
  margin-left: 7px;
  float:left;}
.cascadeOne33{
  width: calc(34% - 7px);
  margin-right:7px;
  float:left;}
.cascadeTwo33{
  width: calc(33% - 14px);
  margin-left: 7px;
  margin-right:7px;
  float:left;}
.cascadeThree33{
  width: calc(33% - 7px);
  margin-left: 7px;
  float:left;}
#verList{
  width:100%;}
.layui-form-radio>i{
  font-size:19px!important;
  color:#cdcdcd!important;}
.layui-form-radio>i:hover, .layui-form-radioed>i{
  font-size:19px!important;
  color:#1890ff!important;}
.layui-form-checked[lay-skin=primary] i{
  border-color:#1890ff!important;
  background-color:#1890ff!important;}
.layui-form-checkbox[lay-skin=primary] i{
 width:14px!important;
 height:14px!important;}
.layui-form-checkbox[lay-skin=primary]:hover i{
  border-color:#1890ff!important;}
.horizontalCheck{
  float:left;
  margin-right:25px;}
.radio-group .layui-form-radio{
  margin-right:0!important;}
.layui-table thead tr{
  background-color: #409eff!important;
  color: #fff!important;}
.layui-laypage .layui-laypage-curr .layui-laypage-em{
  background-color: #409eff!important;}
.layui-form-select dl dd.layui-this{
  color:#fff!important;}
.layui-form-radioed, .layui-form-radioed>i{
  color:#409eff!important;}
.layui-form-radio:hover>*{
  color:#409eff!important;}
.layui-table,.layui-table-body{
  width:100% !important;}
.resultCrad tr {
  page-break-inside: avoid;}
.resultCrad table {
  width: 100%; /* 让表格宽度自适应容器 */
  border-collapse: collapse;}
.resultCrad td, .resultCrad th {
  overflow-wrap: break-word;}
.btn-group .form-con button{
   cursor: pointer;
   background-color: #409eff;
   padding:10px 20px;
   border:none;
   color:#fff;
   border-radius:4px;}
.layui-icon-print, .layui-icon-download-circle{
   font-size:26px!important;
   cursor:pointer;}
#laypage-all{
  text-align:right;}

/* 在你的CSS文件中添加 */
@media print {  
  /* 设置整体页面布局 */
    body, html {
      margin: 0;
      padding: 0;
      font-size: 10pt;}    
    /* 针对表格的优化 */
    table {
      width: 100%;
      table-layout: fixed;
      page-break-inside: avoid;}    
    /* 确保表格头部和底部在每一页重复 */
    thead {
      display: table-header-group;}    
    tfoot {
      display: table-footer-group;}    
    /* 控制列宽，避免自动调整导致错乱 */
    td, th {
      border: 1px solid #000; 
      page-break-inside: avoid;       
      word-wrap: break-word;} 
    .layui-table,.layui-table-body{
      width:100% !important;}
    .layui-table{
      border: 1px solid #000 !important;
      border-collapse: collapse !important;
      border-bottom: 1px solid #000 !important;}
    .layui-table td, .layui-table th{
       border-right: 1px solid #000 !important;
       border-collapse: collapse !important;}
    .tbody .layui-table-cell{
       border-bottom: 1px solid #000 !important;}
    .layui-table tbody {
       border-bottom: 1px solid #000 !important;}
    .layui-table-view .layui-table td, .layui-table-view .layui-table th{
       border: 1px solid #000 !important;}
    #printSection .layui-table-view .layui-table{
       border: 1px solid #000 !important;}
    .layui-table-box{
       border-bottom: 1px solid #000 !important;}
}
